
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Uva 12108  Extraordinarily Tired Students / 憋错料</title>

    <meta name="description" content="Uva 12108  Extraordinarily Tired Students 题意: 课堂上有n个学生(n&lt;=10).每个学生都有一个“清醒-睡眠”周期.其中第i个学生醒 ai 分钟后睡 bi 分钟,然后重复(1&lt;=ai,bi&lt;=5),初始时第i个学生处在他的周期的第 ci 分钟.每个学生在临 睡前会察看全班睡觉人数是否严格大于清醒人数,只有这个条件满足时才睡觉,否则就坚持听课 ai 分钟后再次检查这个条件.问经过多长时间后全班都清醒. 思路: 用优先队列记录每次要更改的时间和对应要更改状态的学生编号,按要更改的时间从小到大排序. cnt记录当前睡觉的人 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Uva 12108  Extraordinarily Tired Students</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>题意：</p>
<p>课堂上有n个学生（n&lt;=10)。每个学生都有一个&ldquo;清醒-睡眠&rdquo;周期。其中第i个学生醒 ai 分钟后睡</p>
<p>bi 分钟，然后重复（1&lt;=ai,bi&lt;=5)，初始时第i个学生处在他的周期的第 ci 分钟。每个学生在临</p>
<p>睡前会察看全班睡觉人数是否严格大于清醒人数，只有这个条件满足时才睡觉，否则就坚持听课 ai</p>
<p>分钟后再次检查这个条件。问经过多长时间后全班都清醒。</p>
<p>思路：</p>
<p>用优先队列记录每次要更改的时间和对应要更改状态的学生编号，按要更改的时间从小到大排序。</p>
<p>cnt记录当前睡觉的人数。</p>
<p>这里要注意的是：由于临睡前要判断，但是可能队列中存在同一时刻x个同学睡y个同学醒的情况，</p>
<p>如果先是处理了醒的同学，然后是在cnt上直接修改的，那么睡的人就减少了，就可能出现本来是</p>
<p>可以睡的，由于先处理了醒的人，所以这个判断不准确了，因为判断时用的人数应该是这一秒没做</p>
<p>任何处理时的人数。处理应该是同时做出的，故设置一个局部变量sum来记录这一秒的人数变动。</p>
<p>当进入下一个修改的时刻才把sum在cnt上做累加。</p>
<p>还有就是 如何判断不存在 &ldquo;全部都清醒的时刻&rdquo; 呢 ?</p>
<p>直观感受就是睡觉的人数没有减少过。</p>
<p>我是 记录每次更新的sum==0的次数，超过了10000次就自动跳出循环。这样好像不太严谨。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre> 1 #include&lt;cstdio&gt;
 2 #include&lt;cstring&gt;
 3 #include&lt;iostream&gt;
 4 #include&lt;algorithm&gt;
 5 #include&lt;cstdlib&gt;
 6 #include&lt;cmath&gt;
 7 #include&lt;cctype&gt;
 8 #include&lt;vector&gt;
 9 #include&lt;queue&gt;
10 #include&lt;map&gt;
11 #include&lt;set&gt;
12 #define eps 10e-6
13
14 using namespace std;
15
16 typedef long long ll;
17
18 int a[12],b[12],c[12];
19 bool sleep[12];
20 priority_queue&lt;pair&lt;int,int&gt; ,vector&lt;pair&lt;int,int&gt; &gt;,greater&lt;pair&lt;int,int&gt; &gt; &gt; q;
21
22 int main()
23 {
24     int n,cas=1;
25     while(~scanf("%d",&amp;n) &amp;&amp; n)
26     {
27         int cnt = 0;  //睡的人数
28         memset(sleep,0,sizeof(sleep));
29         while(!q.empty())
30             q.pop();
31         int ans = -1;
32
33         for(int i=0;i&lt;n;i++)
34         {
35             scanf("%d%d%d",&amp;a[i],&amp;b[i],&amp;c[i]);
36            // c[i] = c[i]%(a[i]+b[i]);
37             if(c[i]&gt;a[i])
38             {
39                 cnt++;
40                 sleep[i]=true;
41                 q.push(make_pair(a[i]+b[i]-c[i]+2,i));
42             }
43             else q.push(make_pair(a[i]-c[i]+2,i));
44         }
45         int pre = 0,sum = 0;
46         int fun = 0;
47         while(!q.empty())
48         {
49             pair&lt;int,int&gt; now = q.top();
50             q.pop();
51             int id = now.second;
52             int t = now.first;
53
54             if(t&gt;pre)
55             {
56                 cnt += sum;
57                 if(sum==0) fun++;
58                 if(fun&gt;=10000) break;
59                 sum = 0;
60                 if(cnt==0)
61                 {
62                     ans = pre;
63                     break;
64                 }
65                 pre = t;
66             }
67
68             if(sleep[id])
69             {
70                 sleep[id] = false;
71                 sum--;
72                 q.push(make_pair(t+a[id],id));
73             }
74             else
75             {
76                 if(cnt&lt;=n-cnt)
77                 {
78                     q.push(make_pair(t+a[id],id));
79                     continue;
80                 }
81                 sleep[id] = true;
82                 sum++;
83                 q.push(make_pair(t+b[id],id));
84             }
85         }
86         printf("Case %d: %d\n",cas++,ans);
87     }
88     return 0;
89 }</pre>
<p></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 06:17:41 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Uva 12108  Extraordinarily Tired Students的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rEkBq0.html" rel="bookmark">UVA - 12108 Extraordinarily Tired Students（模拟）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Extraordinarily Tired Students Time Limit: 3000MS   Memory Limit: Unknown   64bit IO Format: %lld &amp; %llu Submit Status Description When a student is too tired, he can't help sleeping in class, even if his favorite teacher is right here in front of hi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QaRG24.html" rel="bookmark">【模拟】UVa 12108 - Extraordinarily Tired Students</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				When a student is too tired, he can't help sleeping in class, even if his favorite teacher is right here in front of him. Imagine you have a class of extraordinarily tired students, how long do you have to wait, before all the students are listening			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bzmaw0.html" rel="bookmark">12108 - Extraordinarily Tired Students</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				When a student is too tired, he can't help sleeping in class, even if his favorite teacher is right here in front of him. Imagine you have a class of extraordinarily tired students, how long do you have to wait, before all the students are listening			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kDgd73.html" rel="bookmark">HDU 2932 Extraordinarily Tired Students&lpar;数学 &amp;amp&semi; 模拟&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=2932 Problem Description When a student is too tired, he can't help sleeping in class, even if his favorite teacher is right here in front of him. Imagine you have a class of extraordinarily tired studen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02Wmjz3.html" rel="bookmark">HDU 2932 Extraordinarily Tired Students &lpar;暴力&plus;取模还是很强大的&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:HDU 2932 Extraordinarily Tired Students 题意:给出N个学生的状态,(a,b,c).a表示a分钟这醒着,b表示b分钟睡着,c表示刚开始是重周期(a+b)分钟的第c分钟开始.求第几分钟,所有的学生都没有睡觉.其中每个学生在睡觉前看一下是否睡觉的人数(包括他自己)比醒着的人数大,若是就睡觉,反之则不睡觉. 数据很小,暴力之,假设所有学生都没睡觉的时间不超过1000000,发现还可以更小. AC代码; #include &lt;stdio.h&gt; #inclu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0deja63.html" rel="bookmark">【习题 4-8 UVA - 12108】Extraordinarily Tired Students</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[链接] 我是链接,点我呀:) [题意] [题解] 一个单位时间.一个单位时间地模拟就好. 然后对于每个人. 记录它所处的周期下标idx 每个单位时间都会让每个人的idx++ 注意从醒着到睡着的分界线的处理就好. 可以多循环几次..超过上限认为无解 (其他题解也提供了一种方法,就是如果状态和初始的情况相同的话.就无解了即形成了一个环. (可能如果无解一定会形成环? [代码] #include &lt;bits/stdc++.h&gt; #define rep1(i,a,b) for (int i = a;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/138RWnM.html" rel="bookmark">UVa 12108 特别困的学生</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://vjudge.net/problem/UVA-12108 题意:给出n个学生的“清醒—睡眠”周期和初始时间点,每个学生在睡眠时需要判断全班睡觉人数是否严格大于清醒人数,否则在坚持一个清醒周期后再次判断.求出多长时间时全班都是清醒状态. 思路:水题吧.一次次的枚举下去,循环终止的条件就是和初始状态相同. 1 #include&lt;iostream&gt; 2 using namespace std; 3 4 struct Node 5 { 6 int A; 7 int B; 8 int C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzZy2WM.html" rel="bookmark">算法竞赛入门经典 第四章</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[√ ] UVA1339 古老的密码 Ancient Cipher [√ ] UVA489 刽子手的游戏 Hangman Judge [√ ] UVA133 救济金发放 The Dole Queue [√ ] UVA213 信息解码 Message Decoding [√ ] UVA512 追踪电子表格中的单元格 Spreadsheet Tracking [√ ] UVA12412 师兄帮帮忙 A Typical Homework (a.k.a Shi Xiong Bang Bang Mang)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wr7V80.html" rel="bookmark">紫书第4章 函数和递归</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1  序 系统的整理下第四章的学习笔记.同上次一样,尽量在不依赖书本的情况下自己先把例题做出来.这次有许多道题代码量都比较大,在例题中我都用纯C语言编写,但由于习题的挑战性和复杂度,我最终还是决定在第五章开始前,就用C++来完成习题.不过所有的代码都是能在C++提交下AC的. 在习题中,我都习惯性的构造一个类来求解问题,从我个人角度讲,这会让我的思路清晰不少,希望自己的一些代码风格不会影响读者对解题思路的理解. 其实在第四章前,我就顾虑着是不是真的打算把题目全做了,这些题目代码量这么大,要耗费很			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68VEv3.html" rel="bookmark" class="title">Loadrunner测试实例分析</a>
					<div>
						LoadRunner性能测试结果分析是个复杂的过程,通常可以从结果摘要.并发数.平均事务响应时间.每秒点击数.业务成功率.系统资源.网页细分图.Web服务器资源.数据库服务器资源等几个方面分析,如图1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7b6J4.html" rel="bookmark" class="title">php&lowbar;ZendStudio 10&period;6更新了&comma;自制破解补丁</a>
					<div>
						geekso还没更新破解补丁.我就用10.5的破解好的jar,自制了10.6的破解jar. 用反编译工具看了下源码,其实就是两文件为关键:LicenseKey和SKU,只需替换这两文件,破解就成功了~ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Ky6jy4.html" rel="bookmark" class="title">Android Gradle 编译错误Java finished with non-zero exit value 2</a>
					<div>
						出现这个错误主要有两类错误 依赖包重复 方法数超过65K 针对第一种错误,可能是由于build.gradle里写了 compile fileTree(dir: 'libs', include: ['* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NAwb83.html" rel="bookmark" class="title">XCode编译产生的app文件和dYSM文件路径</a>
					<div>
						.../&lt;current User&gt;/Library/Developer/XCode/DerivedData/&lt;Project name&gt;-&lt;other characte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXzXd3.html" rel="bookmark" class="title">JavaScript中的parseInt和Number函数</a>
					<div>
						函数作用: parseInt将字符串(String)类型转为整数类型. Number() 函数把对象(Object)的值转换为数字. 语法不同: parseInt(string, [radix]) s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myjdnp0.html" rel="bookmark" class="title">互联网产品2</a>
					<div>
						用户群分类 针对个人用户 个人用户就是常说的2C,这个很好理解,很多产品是单独针对个人用户的,比如QQ,office家庭版,但也有些产品即针对个人也针对企业用户的,比如微博和微博的开放平台,淘宝的C2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgOew3.html" rel="bookmark" class="title">python第十二天-----RabbitMQ</a>
					<div>
						有一位小伙伴说让我去A站写博客可能会有很多人喜欢,真是搞不懂,北方哪里有卖萌?北方默认状态就是这么萌的!再者说了,这明明就是很专注于技术的博客嘛,能不能严肃点!知不知道什么叫帧? 学习到了数据库的相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKrXe3.html" rel="bookmark" class="title">python built-in zip&lpar;&rpar;</a>
					<div>
						zip([iterable, ...]) 返回一个list ,list里的元素是元组tuple.第i个元组内的元素是所有iteralbe中第i个元素组成的. 当所有的iterable拥有同样的长度的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rzK7l3.html" rel="bookmark" class="title">nodejs新建服务器</a>
					<div>
						var http = require('http');// var optfile = require('./models/optfile'); http.createServer(function  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZNkQD3.html" rel="bookmark" class="title">Nginx反向代理、负载均衡&comma;  keepalived高可用</a>
					<div>
						Nginx反向代理.负载均衡,  keepalived高可用 Nginx反向代理.负载均衡,  keepalived高可用 一.Nginx反向代理.负载均衡 1.什么是反向代理.负载均衡 严格的说,N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZrVo0.html" rel="bookmark" class="title">【Objective-C基础知识-12】OC语法特性 -- 块语法</a>
					<div>
						一.基本概念 Block:块语法,本质上是匿名函数(没有名称的函数),苹果推荐的类型,效率高,用来封装和保存代码,BLOCK可以在任何时候执行. 标准C里面没有Block,C语言的后期扩展版本,加入了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MglkON0.html" rel="bookmark" class="title">Exception&colon; Could not bind to 0&period;0&period;0&period;0&colon;8080 after trying for 30 seconds</a>
					<div>
						[email protected] /etc/swift $ sudo swift-init main restart Signal proxy-server pid: 5688 signal: 15 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGdrDy0.html" rel="bookmark" class="title">git防止每次提交输入用户名与密码的方法（http方式 而不是 ssh方式）</a>
					<div>
						windows下比较比较好用的git客户端有2种: 1. msysgit + TortoiseGit(乌龟git) 2. GitHub for Windows github的windows版也用过一段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xBkj74.html" rel="bookmark" class="title">将服务器上的某些特定日志统一保存至XPS文件</a>
					<div>
						&lt;APACHost.CSV&gt; Hostname,IP,OSType srv1,10.103.22.22,Win2003 srv2,10.103.22.37,Win2008 Import-C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myo5xp3.html" rel="bookmark" class="title">多点触摸的操作与图片放大缩小</a>
					<div>
						1 import android.app.Activity; 2 import android.os.Bundle; 3 import android.view.MotionEvent; 4 impo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzkXPl0.html" rel="bookmark" class="title">Apache Solr vs Elasticsearch</a>
					<div>
						http://solr-vs-elasticsearch.com/ Apache Solr vs Elasticsearch The Feature Smackdown API Feature Sol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZG7G3.html" rel="bookmark" class="title">ubuntu鼠标右键没有打开终端选项解决方法</a>
					<div>
						找到nautilus相关的应用,在终端输入如下的命令 $sudo  apt-get install  nautilus 然后按tab键,会列出相关的应用 nautilus                ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YLG7vM.html" rel="bookmark" class="title">使用内链接（A a inner join B b on a&period;xx &equals; b&period;xx）查询2个表中某一列的相同的字段。</a>
					<div>
						这里一句代码就是查询2个表中某一列的相同,可是查询出来之后B表因为有很多重复的id数据,然而查询出来的数据需要插入到临时表中,临时表的oid是不允许有重复的, 因此需要用到 distinct 函数来取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49lA6J3.html" rel="bookmark" class="title">苛镜尾杜茸糙盖谆钡</a>
					<div>
						http://www.ebay.com/cln/bddfjxpbv-flddjnbbn/-/138069725010http://www.ebay.com/cln/pnlthdhdv-lbntnjpl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xXAJ70.html" rel="bookmark" class="title">XML&lowbar;03&lowbar;XML文档类型定义DTD</a>
					<div>
						DTD概述 DTD用来定义XML文档的结构,它包含一系列规则说明,以确保XML文档的一致性和有效性 DTD定义了XML文档可用的词汇(元素和属性的名称)和结构: 元素名称,包括根元素 元素的属性及属性 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
